Bug 91711 - Allow DnD of table, column and connection nodes
Allow DnD of table, column and connection nodes
Status: RESOLVED FIXED
Product: db
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Andrei Badea
issues@db
plan60 nbide
: API
Depends on:
Blocks: 89495 91757
  Show dependency treegraph
 
Reported: 2007-01-03 08:54 UTC by Jan Stola
Modified: 2007-02-02 13:49 UTC (History)
2 users (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Stola 2007-01-03 08:54:37 UTC
Allow drag and drop of table, column (including primary columns) and connection 
nodes from database explorer. Provide access to all relevant information about 
these entities e.g. table name, column name and DB connection information 
(including information about DB driver and its JARs).
Comment 1 Andrei Badea 2007-01-03 15:43:55 UTC
AFAIK you have already implemented this on the form_promoh branch. Do you plan
to turn this into an API review and commit it?
Comment 2 Jan Stola 2007-01-04 09:19:26 UTC
Yes, I have implemented that on our private branch, but I don't plan to do an 
API review. I am not the owner of the module, I am just a customer. So, I don't 
think that I am the right person to drive the API change. Feel free to take 
whatever you want from the form_promoh branch and feel free to change it in any 
way (if you keep the semantic similar).
Comment 3 Andrei Badea 2007-02-02 13:49:47 UTC
Fixed.

Checking in dbapi/nbproject/project.properties;
/cvs/db/dbapi/nbproject/project.properties,v  <--  project.properties
new revision: 1.5; previous revision: 1.4
done
Checking in dbapi/nbproject/project.xml;
/cvs/db/dbapi/nbproject/project.xml,v  <--  project.xml
new revision: 1.5; previous revision: 1.4
done
Checking in
dbapi/src/org/netbeans/modules/db/api/explorer/DatabaseMetaDataTransfer.java;
/cvs/db/dbapi/src/org/netbeans/modules/db/api/explorer/DatabaseMetaDataTransfer.java,v
 <--  DatabaseMetaDataTransfer.java
new revision: 1.4; previous revision: 1.3
done
Checking in src/org/netbeans/modules/db/explorer/DbMetaDataTransferProvider.java;
/cvs/db/src/org/netbeans/modules/db/explorer/DbMetaDataTransferProvider.java,v 
<--  DbMetaDataTransferProvider.java
new revision: 1.4; previous revision: 1.3
done
Checking in src/org/netbeans/modules/db/explorer/nodes/ColumnNode.java;
/cvs/db/src/org/netbeans/modules/db/explorer/nodes/ColumnNode.java,v  <-- 
ColumnNode.java
new revision: 1.22; previous revision: 1.21
done
Checking in src/org/netbeans/modules/db/explorer/nodes/ConnectionNode.java;
/cvs/db/src/org/netbeans/modules/db/explorer/nodes/ConnectionNode.java,v  <-- 
ConnectionNode.java
new revision: 1.40; previous revision: 1.39
done
Checking in src/org/netbeans/modules/db/resources/explorer.plist;
/cvs/db/src/org/netbeans/modules/db/resources/explorer.plist,v  <--  explorer.plist
new revision: 1.76; previous revision: 1.75
done
RCS file:
/cvs/db/test/unit/src/org/netbeans/modules/db/explorer/nodes/ColumnNodeTest.java,v
done
Checking in
test/unit/src/org/netbeans/modules/db/explorer/nodes/ColumnNodeTest.java;
/cvs/db/test/unit/src/org/netbeans/modules/db/explorer/nodes/ColumnNodeTest.java,v
 <--  ColumnNodeTest.java
initial revision: 1.1
done
RCS file:
/cvs/db/test/unit/src/org/netbeans/modules/db/explorer/nodes/ConnectionNodeTest.java,v
done
Checking in
test/unit/src/org/netbeans/modules/db/explorer/nodes/ConnectionNodeTest.java;
/cvs/db/test/unit/src/org/netbeans/modules/db/explorer/nodes/ConnectionNodeTest.java,v
 <--  ConnectionNodeTest.java
initial revision: 1.1
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo